Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network149.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
149.0.0.0
Broadcast address
149.255.255.255
First usable
149.0.0.1
Last usable
149.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 95000000 · Integer 2499805184 to 2516582399
Reverse DNS zone
149.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010101..00000000.00000000.00000000149.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10010101..00000000.00000000.00000000149.0.0.0
Broadcast10010101..11111111.11111111.11111111149.255.255.255
Split into smaller subnets/15

149.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1149.0.0.0/15149.0.0.1 to 149.1.255.254149.1.255.255131,070
2149.2.0.0/15149.2.0.1 to 149.3.255.254149.3.255.255131,070
3149.4.0.0/15149.4.0.1 to 149.5.255.254149.5.255.255131,070
4149.6.0.0/15149.6.0.1 to 149.7.255.254149.7.255.255131,070
5149.8.0.0/15149.8.0.1 to 149.9.255.254149.9.255.255131,070
6149.10.0.0/15149.10.0.1 to 149.11.255.254149.11.255.255131,070
7149.12.0.0/15149.12.0.1 to 149.13.255.254149.13.255.255131,070
8149.14.0.0/15149.14.0.1 to 149.15.255.254149.15.255.255131,070
9149.16.0.0/15149.16.0.1 to 149.17.255.254149.17.255.255131,070
10149.18.0.0/15149.18.0.1 to 149.19.255.254149.19.255.255131,070
11149.20.0.0/15149.20.0.1 to 149.21.255.254149.21.255.255131,070
12149.22.0.0/15149.22.0.1 to 149.23.255.254149.23.255.255131,070
13149.24.0.0/15149.24.0.1 to 149.25.255.254149.25.255.255131,070
14149.26.0.0/15149.26.0.1 to 149.27.255.254149.27.255.255131,070
15149.28.0.0/15149.28.0.1 to 149.29.255.254149.29.255.255131,070
16149.30.0.0/15149.30.0.1 to 149.31.255.254149.31.255.255131,070
17149.32.0.0/15149.32.0.1 to 149.33.255.254149.33.255.255131,070
18149.34.0.0/15149.34.0.1 to 149.35.255.254149.35.255.255131,070
19149.36.0.0/15149.36.0.1 to 149.37.255.254149.37.255.255131,070
20149.38.0.0/15149.38.0.1 to 149.39.255.254149.39.255.255131,070
21149.40.0.0/15149.40.0.1 to 149.41.255.254149.41.255.255131,070
22149.42.0.0/15149.42.0.1 to 149.43.255.254149.43.255.255131,070
23149.44.0.0/15149.44.0.1 to 149.45.255.254149.45.255.255131,070
24149.46.0.0/15149.46.0.1 to 149.47.255.254149.47.255.255131,070
25149.48.0.0/15149.48.0.1 to 149.49.255.254149.49.255.255131,070
26149.50.0.0/15149.50.0.1 to 149.51.255.254149.51.255.255131,070
27149.52.0.0/15149.52.0.1 to 149.53.255.254149.53.255.255131,070
28149.54.0.0/15149.54.0.1 to 149.55.255.254149.55.255.255131,070
29149.56.0.0/15149.56.0.1 to 149.57.255.254149.57.255.255131,070
30149.58.0.0/15149.58.0.1 to 149.59.255.254149.59.255.255131,070
31149.60.0.0/15149.60.0.1 to 149.61.255.254149.61.255.255131,070
32149.62.0.0/15149.62.0.1 to 149.63.255.254149.63.255.255131,070
33149.64.0.0/15149.64.0.1 to 149.65.255.254149.65.255.255131,070
34149.66.0.0/15149.66.0.1 to 149.67.255.254149.67.255.255131,070
35149.68.0.0/15149.68.0.1 to 149.69.255.254149.69.255.255131,070
36149.70.0.0/15149.70.0.1 to 149.71.255.254149.71.255.255131,070
37149.72.0.0/15149.72.0.1 to 149.73.255.254149.73.255.255131,070
38149.74.0.0/15149.74.0.1 to 149.75.255.254149.75.255.255131,070
39149.76.0.0/15149.76.0.1 to 149.77.255.254149.77.255.255131,070
40149.78.0.0/15149.78.0.1 to 149.79.255.254149.79.255.255131,070
41149.80.0.0/15149.80.0.1 to 149.81.255.254149.81.255.255131,070
42149.82.0.0/15149.82.0.1 to 149.83.255.254149.83.255.255131,070
43149.84.0.0/15149.84.0.1 to 149.85.255.254149.85.255.255131,070
44149.86.0.0/15149.86.0.1 to 149.87.255.254149.87.255.255131,070
45149.88.0.0/15149.88.0.1 to 149.89.255.254149.89.255.255131,070
46149.90.0.0/15149.90.0.1 to 149.91.255.254149.91.255.255131,070
47149.92.0.0/15149.92.0.1 to 149.93.255.254149.93.255.255131,070
48149.94.0.0/15149.94.0.1 to 149.95.255.254149.95.255.255131,070
49149.96.0.0/15149.96.0.1 to 149.97.255.254149.97.255.255131,070
50149.98.0.0/15149.98.0.1 to 149.99.255.254149.99.255.255131,070
51149.100.0.0/15149.100.0.1 to 149.101.255.254149.101.255.255131,070
52149.102.0.0/15149.102.0.1 to 149.103.255.254149.103.255.255131,070
53149.104.0.0/15149.104.0.1 to 149.105.255.254149.105.255.255131,070
54149.106.0.0/15149.106.0.1 to 149.107.255.254149.107.255.255131,070
55149.108.0.0/15149.108.0.1 to 149.109.255.254149.109.255.255131,070
56149.110.0.0/15149.110.0.1 to 149.111.255.254149.111.255.255131,070
57149.112.0.0/15149.112.0.1 to 149.113.255.254149.113.255.255131,070
58149.114.0.0/15149.114.0.1 to 149.115.255.254149.115.255.255131,070
59149.116.0.0/15149.116.0.1 to 149.117.255.254149.117.255.255131,070
60149.118.0.0/15149.118.0.1 to 149.119.255.254149.119.255.255131,070
61149.120.0.0/15149.120.0.1 to 149.121.255.254149.121.255.255131,070
62149.122.0.0/15149.122.0.1 to 149.123.255.254149.123.255.255131,070
63149.124.0.0/15149.124.0.1 to 149.125.255.254149.125.255.255131,070
64149.126.0.0/15149.126.0.1 to 149.127.255.254149.127.255.255131,070
65149.128.0.0/15149.128.0.1 to 149.129.255.254149.129.255.255131,070
66149.130.0.0/15149.130.0.1 to 149.131.255.254149.131.255.255131,070
67149.132.0.0/15149.132.0.1 to 149.133.255.254149.133.255.255131,070
68149.134.0.0/15149.134.0.1 to 149.135.255.254149.135.255.255131,070
69149.136.0.0/15149.136.0.1 to 149.137.255.254149.137.255.255131,070
70149.138.0.0/15149.138.0.1 to 149.139.255.254149.139.255.255131,070
71149.140.0.0/15149.140.0.1 to 149.141.255.254149.141.255.255131,070
72149.142.0.0/15149.142.0.1 to 149.143.255.254149.143.255.255131,070
73149.144.0.0/15149.144.0.1 to 149.145.255.254149.145.255.255131,070
74149.146.0.0/15149.146.0.1 to 149.147.255.254149.147.255.255131,070
75149.148.0.0/15149.148.0.1 to 149.149.255.254149.149.255.255131,070
76149.150.0.0/15149.150.0.1 to 149.151.255.254149.151.255.255131,070
77149.152.0.0/15149.152.0.1 to 149.153.255.254149.153.255.255131,070
78149.154.0.0/15149.154.0.1 to 149.155.255.254149.155.255.255131,070
79149.156.0.0/15149.156.0.1 to 149.157.255.254149.157.255.255131,070
80149.158.0.0/15149.158.0.1 to 149.159.255.254149.159.255.255131,070
81149.160.0.0/15149.160.0.1 to 149.161.255.254149.161.255.255131,070
82149.162.0.0/15149.162.0.1 to 149.163.255.254149.163.255.255131,070
83149.164.0.0/15149.164.0.1 to 149.165.255.254149.165.255.255131,070
84149.166.0.0/15149.166.0.1 to 149.167.255.254149.167.255.255131,070
85149.168.0.0/15149.168.0.1 to 149.169.255.254149.169.255.255131,070
86149.170.0.0/15149.170.0.1 to 149.171.255.254149.171.255.255131,070
87149.172.0.0/15149.172.0.1 to 149.173.255.254149.173.255.255131,070
88149.174.0.0/15149.174.0.1 to 149.175.255.254149.175.255.255131,070
89149.176.0.0/15149.176.0.1 to 149.177.255.254149.177.255.255131,070
90149.178.0.0/15149.178.0.1 to 149.179.255.254149.179.255.255131,070
91149.180.0.0/15149.180.0.1 to 149.181.255.254149.181.255.255131,070
92149.182.0.0/15149.182.0.1 to 149.183.255.254149.183.255.255131,070
93149.184.0.0/15149.184.0.1 to 149.185.255.254149.185.255.255131,070
94149.186.0.0/15149.186.0.1 to 149.187.255.254149.187.255.255131,070
95149.188.0.0/15149.188.0.1 to 149.189.255.254149.189.255.255131,070
96149.190.0.0/15149.190.0.1 to 149.191.255.254149.191.255.255131,070
97149.192.0.0/15149.192.0.1 to 149.193.255.254149.193.255.255131,070
98149.194.0.0/15149.194.0.1 to 149.195.255.254149.195.255.255131,070
99149.196.0.0/15149.196.0.1 to 149.197.255.254149.197.255.255131,070
100149.198.0.0/15149.198.0.1 to 149.199.255.254149.199.255.255131,070
101149.200.0.0/15149.200.0.1 to 149.201.255.254149.201.255.255131,070
102149.202.0.0/15149.202.0.1 to 149.203.255.254149.203.255.255131,070
103149.204.0.0/15149.204.0.1 to 149.205.255.254149.205.255.255131,070
104149.206.0.0/15149.206.0.1 to 149.207.255.254149.207.255.255131,070
105149.208.0.0/15149.208.0.1 to 149.209.255.254149.209.255.255131,070
106149.210.0.0/15149.210.0.1 to 149.211.255.254149.211.255.255131,070
107149.212.0.0/15149.212.0.1 to 149.213.255.254149.213.255.255131,070
108149.214.0.0/15149.214.0.1 to 149.215.255.254149.215.255.255131,070
109149.216.0.0/15149.216.0.1 to 149.217.255.254149.217.255.255131,070
110149.218.0.0/15149.218.0.1 to 149.219.255.254149.219.255.255131,070
111149.220.0.0/15149.220.0.1 to 149.221.255.254149.221.255.255131,070
112149.222.0.0/15149.222.0.1 to 149.223.255.254149.223.255.255131,070
113149.224.0.0/15149.224.0.1 to 149.225.255.254149.225.255.255131,070
114149.226.0.0/15149.226.0.1 to 149.227.255.254149.227.255.255131,070
115149.228.0.0/15149.228.0.1 to 149.229.255.254149.229.255.255131,070
116149.230.0.0/15149.230.0.1 to 149.231.255.254149.231.255.255131,070
117149.232.0.0/15149.232.0.1 to 149.233.255.254149.233.255.255131,070
118149.234.0.0/15149.234.0.1 to 149.235.255.254149.235.255.255131,070
119149.236.0.0/15149.236.0.1 to 149.237.255.254149.237.255.255131,070
120149.238.0.0/15149.238.0.1 to 149.239.255.254149.239.255.255131,070
121149.240.0.0/15149.240.0.1 to 149.241.255.254149.241.255.255131,070
122149.242.0.0/15149.242.0.1 to 149.243.255.254149.243.255.255131,070
123149.244.0.0/15149.244.0.1 to 149.245.255.254149.245.255.255131,070
124149.246.0.0/15149.246.0.1 to 149.247.255.254149.247.255.255131,070
125149.248.0.0/15149.248.0.1 to 149.249.255.254149.249.255.255131,070
126149.250.0.0/15149.250.0.1 to 149.251.255.254149.251.255.255131,070
127149.252.0.0/15149.252.0.1 to 149.253.255.254149.253.255.255131,070
128149.254.0.0/15149.254.0.1 to 149.255.255.254149.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses